pydo.genai.update_evaluation_test_case()
Generated on 7 Jul 2026
from pydo version
v0.39.0
Usage
client.genai.update_evaluation_test_case(
test_case_uuid="\"123e4567-e89b-12d3-a456-426614174000\"",
body={
"dataset_uuid": "123e4567-e89b-12d3-a456-426614174000",
"description": "example string",
"metrics": {...},
...,
},
)Description
To update an evaluation test-case send a PUT request to /v2/gen-ai/evaluation_test_cases/{test_case_uuid}.
Parameters
test_case_uuidstring requiredTest-case UUID to update
dataset_uuidstring optionalExample:
123e4567-e89b-12d3-a456-426614174000Dataset against which the test‑case is executed.
descriptionstring optionalExample:
example stringDescription of the test case.
metricsobject optionalShow child properties
metric_uuidsarray of strings optionalExample:
['example string']
namestring optionalExample:
example nameName of the test case.
star_metricobject optionalShow child properties
metric_uuidstring optionalExample:
123e4567-e89b-12d3-a456-426614174000namestring optionalExample:
example namesuccess_thresholdnumber optionalExample:
123The success threshold for the star metric.
This is a value that the metric must reach to be considered successful.success_threshold_pctinteger optionalExample:
123The success threshold for the star metric.
This is a percentage value between 0 and 100.
test_case_uuidstring optionalExample:
123e4567-e89b-12d3-a456-426614174000Test-case UUID to update
Request Sample
Response Example
More Information
See /v2/gen-ai/evaluation_test_cases/{test_case_uuid} in the API reference for additional detail on responses, headers, parameters, and more.